Subject: [DNSOP] Stephen Farrell's Yes on draft-ietf-dnsop-onion-tld-00: (with COMMENT)

From: "Stephen Farrell" <[email-masked]>
Date: Fri, 21 Aug 2015 12:44:43 -0700

Stephen Farrell has entered the following ballot position for
draft-ietf-dnsop-onion-tld-00: Yes

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-dnsop-onion-tld/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

(6 pages, so I read it now:-)

We definitely need to approve this. It's been too
long in the process already and that's been our
(the IETF's) fault. (I won't object to us trying to
improve 6761 after we've done this one, so some
of the long debate will have lasting utility.)

I thought I saw some edits from the last call
that were agreed to be applied and that would
improve the document. In particular, one that
was to the effect that .onion names would in
future need to conform to DNS name syntactic
constraints (lengths basically) so that if a
node did send a DNS query containing a .onion
name, that'd be less likely to cause weird 
issues.

Section 2 is a little sloppy in how it talks
about ".onion addresses (point 1), ".onion
names" (which is the right term I think) and
"queries for .onion" (I think you mean any
query for any .onion name and not only for
the TLD #4 and #5). A bit more consistency
would be no harm, though it's clear enough as
is.